package com.library.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface CurrencyMapper {
	public void DeleteDataById(@Param("tableName") String tableName, @Param("id") int id);
	
	public Map<String, Object> FindDataById(@Param("tableName") String tableName, @Param("id") int id);
	
	public List<Map<String, Object>> FindDataListById(@Param("tableName") String tableName, @Param("id_all") List<Integer> id_all);
	
	public List<Map<String, Object>> FindDataListByPaging(@Param("tableName") String tableName, @Param("start") int start, @Param("number") int number);
	
	/**
	 * 统计表的数据
	 */
	public Map<String, Object>  CountTableNumber(@Param("tableName") String tableName);
	
	/**
	 * 条件集合查询，“where id=id”
	 */
	public List<Map<String, Object>> FindDataListWhere(@Param("tableName") String tableName, @Param("start") int start,
                                                       @Param("number") int number, @Param("where") String where);
	
	/**
	 * 查询某个表格的所有数据
	 */
	public List<Map<String, Object>> findTable(@Param("tableName") String tableName);
	
	/**
	 * 通用接口--修改数据
	 */
	public void updateTableForMysql(@Param("mysql") String mysql);
	
	/**
	 * 通用接口--增加新的数据
	 */
	public void AddTableForMysql(@Param("mysql") String mysql);


}
